Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc.rawserialization
Class JavaSerializedGCPastContent

    java.lang.Object
      rice.p2p.past.gc.rawserialization.JavaSerializedGCPastContent

All Implemented Interfaces:
  java.io.Serializable, GCPastContent, RawGCPastContent, PastContent, RawPastContent

    public class JavaSerializedGCPastContent

extends java.lang.Object
implements RawGCPastContent

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`GCPastContent` | `content` DESCRIBE THE FIELD
`static short` | `TYPE` DESCRIBE THE FIELD

Constructor Summary
`JavaSerializedGCPastContent(GCPastContent content)` Constructor for JavaSerializedGCPastContent.

Method Summary
`PastContent` | `checkInsert(Id id, PastContent existingContent)` DESCRIBE THE METHOD
`PastContent` | `getContent()` Gets the Content attribute of the JavaSerializedGCPastContent object
`GCPastContentHandle` | `getHandle(GCPast local, long expiration)` Gets the Handle attribute of the JavaSerializedGCPastContent object
`PastContentHandle` | `getHandle(Past local)` Gets the Handle attribute of the JavaSerializedGCPastContent object
`Id` | `getId()` Gets the Id attribute of the JavaSerializedGCPastContent object
`GCPastMetadata` | `getMetadata(long expiration)` Gets the Metadata attribute of the JavaSerializedGCPastContent object
`short` | `getType()` Gets the Type attribute of the JavaSerializedGCPastContent object
`long` | `getVersion()` Gets the Version attribute of the JavaSerializedGCPastContent object
`boolean` | `isMutable()` Gets the Mutable attribute of the JavaSerializedGCPastContent object
`void` | `serialize(OutputBuffer buf)` DESCRIBE THE METHOD
`java.lang.String` | `toString()` Converts to a String representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### content

    public GCPastContent content

  DESCRIBE THE FIELD

### TYPE

    public static final short TYPE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### JavaSerializedGCPastContent

    public JavaSerializedGCPastContent(GCPastContent content)

  Constructor for JavaSerializedGCPastContent.

  Parameters:
    `content` - DESCRIBE THE PARAMETER

Method Detail

### getType

    public short getType()

  Gets the Type attribute of the JavaSerializedGCPastContent object

  Specified by:
    `getType` in interface `RawPastContent`
  Returns:
    The Type value

### getContent

    public PastContent getContent()

  Gets the Content attribute of the JavaSerializedGCPastContent object

  Returns:
    The Content value

### getHandle

    public PastContentHandle getHandle(Past local)

  Gets the Handle attribute of the JavaSerializedGCPastContent object

  Specified by:
    `getHandle` in interface `PastContent`
  Parameters:
    `local` - DESCRIBE THE PARAMETER
  Returns:
    The Handle value

### getId

    public Id getId()

  Gets the Id attribute of the JavaSerializedGCPastContent object

  Specified by:
    `getId` in interface `PastContent`
  Returns:
    The Id value

### isMutable

    public boolean isMutable()

  Gets the Mutable attribute of the JavaSerializedGCPastContent object

  Specified by:
    `isMutable` in interface `PastContent`
  Returns:
    The Mutable value

### getVersion

    public long getVersion()

  Gets the Version attribute of the JavaSerializedGCPastContent object

  Specified by:
    `getVersion` in interface `GCPastContent`
  Returns:
    The Version value

### getHandle

    public GCPastContentHandle getHandle(GCPast local,
                                         long expiration)

  Gets the Handle attribute of the JavaSerializedGCPastContent object

  Specified by:
    `getHandle` in interface `GCPastContent`
  Parameters:
    `local` - DESCRIBE THE PARAMETER
    `expiration` - DESCRIBE THE PARAMETER
  Returns:
    The Handle value

### getMetadata

    public GCPastMetadata getMetadata(long expiration)

  Gets the Metadata attribute of the JavaSerializedGCPastContent object

  Specified by:
    `getMetadata` in interface `GCPastContent`
  Parameters:
    `expiration` - DESCRIBE THE PARAMETER
  Returns:
    The Metadata value

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  DESCRIBE THE METHOD

  Specified by:
    `serialize` in interface `RawPastContent`
  Parameters:
    `buf` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### toString

    public java.lang.String toString()

  Converts to a String representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the object.

### checkInsert

    public PastContent checkInsert(Id id,
                                   PastContent existingContent)
                            throws PastException

  DESCRIBE THE METHOD

  Specified by:
    `checkInsert` in interface `PastContent`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `existingContent` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `PastException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.